Subject: bug#50606: Add support for other formats of Guix channels

From: EuAndreh <[email-masked]>
Date: Thu, 16 Sep 2021 14:41:10 -0300

I agree with most points, but I'm not proposing creating integrations with other
DVCS, en par with the current Git integration.

My proposal was a little more crude: get the channel code from a tarball.  In
this model there are no authentications with fingerprint or signed commits,
neither "guix pull" would know much about the before/after state of a channel
besides comparing the checksum of the whole tarball.

This lower level abstraction is much less sofisticated, and would probably mean
refetching and rebuilding from tarball-backed channels than Git channels.  But
this also means that the requirement is lower, and much more universal: a
tarball file served over HTTP, compared to a specific Git HTTP protocol.